<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<gep name="SemThread" title="SemThread Manager" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr>
      <td><form>
        <p>This module manages semaphores through its proxy
           <a href="http://rtsc.eclipseprojects.io/cdoc-tip/index.html#xdc/runtime/knl/ISemThreadSupport.html"> ISemThreadSupport </a>
           interface. It has a module wide config parameter
           <a href="http://rtsc.eclipseprojects.io/cdoc-tip/index.html#xdc/runtime/knl/SemThread.html#.Proxy"> Proxy </a>
           which needs to be bound to an OS specific delegate before this module can be used.</p>
        <p> </p>
      </form></td>
  </tr>
  <tr>
    <td><control type="checkbox" label="Add SemThread to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr></tr>
  <tr><td>
    <h1>Platform-specific Support</h1>
    <table>
      <tr>
        <td><control type="label" label="SemThread provider"/></td>
        <td><control type="editbox"
             enabled="value:this.$used"
             value="value:this.Proxy"
             tooltip="value:this.Proxy.$summary"/></td>
      </tr>
    </table>
  </td></tr>
</table></body></html>
</page>
</gep>

